Skip to content
PATCH /connection/{id}

Path Parameters

idstring
required·

Resource id

Request Body

namestring

Response Body

connector_slugstring
created_atstring · date-time
idstring
last_errorstring,null
namestring
owner_user_idstring
saffron_account_idstring,null
scopestring
Possible values:
userteamorg
statusstring
team_idstring,null
updated_atstring · date-time
curl -X PATCH 'https://api.elaichi.ai/connection/<id>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name"}'
const body = {
  "name": "your_name"
};

const response = await fetch('https://api.elaichi.ai/connection/<id>', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/connection/<id>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name"
}

response = requests.patch(url, headers=headers, json=payload)
print(response.json())